Display
Date: 2019-10-22

org.jmol.awt

## Class Display

- java.lang.Object
- - org.jmol.awt.Display

-     class Display
      extends java.lang.Object

  methods required by Jmol that access java.awt.Component private to org.jmol.awt

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Display()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `convertPointFromScreen(java.lang.Object display, javajs.util.P3 ptTemp)`
    `(package private) static void` | `drawImage(java.lang.Object g, java.lang.Object img, int x, int y, int width, int height)`
    `(package private) static void` | `drawImageDTI(java.lang.Object g, java.lang.Object img, int x, int y, int width, int height)`
    `(package private) static void` | `getFullScreenDimensions(java.lang.Object display, int[] widthHeight)`
    `(package private) static boolean` | `hasFocus(java.lang.Object display)`
    `static java.lang.String` | `prompt(java.lang.String label, java.lang.String data, java.lang.String[] list, boolean asButtons)`
    `(package private) static void` | `renderScreenImage(PlatformViewer vwr, java.lang.Object g, java.lang.Object size)` Deprecated.
    `(package private) static void` | `repaint(java.lang.Object display)`
    `(package private) static void` | `requestFocusInWindow(java.lang.Object display)`
    `(package private) static void` | `setCursor(int c, java.lang.Object display)`
    `(package private) static void` | `setTransparentCursor(java.lang.Object display)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Display

          Display()

  - ### Method Detail

    - #### getFullScreenDimensions

          static void getFullScreenDimensions(java.lang.Object display,
                                              int[] widthHeight)

      Parameters:
        `display` -
        `widthHeight` -

    - #### hasFocus

          static boolean hasFocus(java.lang.Object display)

    - #### requestFocusInWindow

          static void requestFocusInWindow(java.lang.Object display)

    - #### repaint

          static void repaint(java.lang.Object display)

    - #### renderScreenImage

          @Deprecated
          static void renderScreenImage(PlatformViewer vwr,
                                                    java.lang.Object g,
                                                    java.lang.Object size)

      Deprecated.
      legacy apps will use this
      Parameters:
        `vwr` -
        `g` -
        `size` -

    - #### setTransparentCursor

          static void setTransparentCursor(java.lang.Object display)

    - #### setCursor

          static void setCursor(int c,
                                java.lang.Object display)

    - #### prompt

          public static java.lang.String prompt(java.lang.String label,
                                                java.lang.String data,
                                                java.lang.String[] list,
                                                boolean asButtons)

    - #### convertPointFromScreen

          public static void convertPointFromScreen(java.lang.Object display,
                                                    javajs.util.P3 ptTemp)

    - #### drawImage

          static void drawImage(java.lang.Object g,
                                java.lang.Object img,
                                int x,
                                int y,
                                int width,
                                int height)

      Parameters:
        `g` -
        `img` -
        `x` -
        `y` -
        `width` - unused in Jmol proper
        `height` - unused in Jmol proper

    - #### drawImageDTI

          static void drawImageDTI(java.lang.Object g,
                                   java.lang.Object img,
                                   int x,
                                   int y,
                                   int width,
                                   int height)

      Parameters:
        `g` -
        `img` -
        `x` -
        `y` -
        `width` - unused in Jmol proper
        `height` - unused in Jmol proper